## node-chrono 1.0.5

=== Makefile ===
test:
	@expresso -I lib
test-cov:
	@expresso -I lib --coverage


.PHONY: test test-cov

## node-chrono 1.0.2

=== debian/changelog ===
node-chrono (1.0.2-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 06 Jan 2021 18:49:12 +0100

node-chrono (1.0.2-2) unstable; urgency=low

  * Make package compliant to new Debian Javascript Policy

 -- David Paleino <dapal@debian.org>  Sat, 15 Oct 2011 23:47:24 +0200

node-chrono (1.0.2-1) unstable; urgency=low

  * Initial release (Closes: #645206)

 -- David Paleino <dapal@debian.org>  Thu, 13 Oct 2011 17:16:17 +0200

=== debian/control ===
Source: node-chrono
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8.0.0)
 , dh-buildinfo
Standards-Version: 3.9.2
Homepage: https://github.com/kkaefer/chrono.js
Vcs-Git: git://git.debian.org/collab-maint/node-chrono.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-chrono.git;a=summary

Package: node-chrono
Architecture: all
Depends: ${misc:Depends}
 , nodejs
Description: date formatting library for NodeJS
 Chrono is a date formatting library for NodeJS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
override_dh_auto_test:
override_dh_auto_install:
override_dh_auto_clean:

override_dh_install:
	dh_install
	dh_buildinfo

## node-chrono 1.0.5

=== debian/changelog ===
node-chrono (1.0.5-1) unstable; urgency=medium

  * Team upload

  [ David Paleino ]
  * Add debian/watch

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Yadd ]
  * Use versioned copyright format URI
  * Bump debhelper from deprecated 8 to 13
  * Set debhelper-compat version in Build-Depends
  * Change priority extra to priority optional
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse
  * Declare compliance with policy 4.6.1
  * Add "Rules-Requires-Root: no"
  * Change section to javascript
  * Add debian/gbp.conf
  * Fix debian/watch
  * New upstream version 1.0.5
  * Use dh-sequence-nodejs auto install
  * Drop dependency to nodejs
  * Enable upstream test (mocha)
  * Update copyright

 -- Yadd <yadd@debian.org>  Sun, 04 Sep 2022 19:23:37 +0200

=== debian/control ===
Source: node-chrono
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , mocha <!nocheck>
 , node-assert <!nocheck>
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian/node-chrono
Vcs-Git: https://salsa.debian.org/debian/node-chrono.git
Homepage: https://github.com/kkaefer/chrono.js
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-chrono
Architecture: all
Depends: ${misc:Depends}
Description: date formatting library for NodeJS
 Chrono is a date formatting library for NodeJS.

=== debian/watch ===
version=4
# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/@PACKAGE@-$1/" \
 https://registry.npmjs.org/chrono https://registry.npmjs.org/chrono/-/chrono-([\d\.]+)@ARCHIVE_EXT@
